VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Techpreview::Timesync::TimeSyncConfig Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Timesync::TimeSyncConfig:

## Avaliable Methods
public method | new ()
public method | get_mode ()
public method | set_mode ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Timesync::TimeSyncConfig` class Structure defining time synchronization configuration.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Timesync::TimeSyncConfig::get_mode | ( |  | ) |

Gets the value of 'mode' property.

Return values

  mode | - The current value of the field. Time synchronization mode. Mode can have one of the TimeSyncMode enumeration values. TimeSyncMode#

Code:
click to view
# Number of lines of code in get_mode: 4
sub get_mode {
my ($self, %args) = @_;
return $self->{'mode'};
}

public method Com::Vmware::Appliance::Techpreview::Timesync::TimeSyncConfig::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Techpreview::Timesync::TimeSyncConfig structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 16
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{mode} = $args{'mode'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Techpreview::Timesync::TimeSyncConfig');
$self->set_binding_name('name' => 'com.vmware.appliance.techpreview.timesync.time_sync_config');
$self->set_binding_field('key' => 'mode', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Techpreview', 'type_name' => 'Timesync::TimeSyncMode'));
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Timesync::TimeSyncConfig::set_mode | ( |  | ) |

Sets the given value for 'mode' property.

Parameters

  mode | - New value for the field. Time synchronization mode. Mode can have one of the TimeSyncMode enumeration values.

Code:
click to view
# Number of lines of code in set_mode: 5
sub set_mode {
my ($self, %args) = @_;
$self->{'mode'} = $args{'mode'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Timesync.pm